summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFulgen3012017-09-23 21:52:04 +0200
committerFulgen3012017-09-23 21:52:04 +0200
commit1b4116253ae1439c605b803e23f54b0c773c19aa (patch)
tree88b3493e44062fc468f8db9610db467f27054d63
downloadaur-1b4116253ae1439c605b803e23f54b0c773c19aa.tar.gz
Add clonk_rage-git files
-rw-r--r--.SRCINFO30
-rw-r--r--PKGBUILD93
-rw-r--r--clonk_rage.desktop11
-rw-r--r--de_clonk.xml58
4 files changed, 192 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c56f717091f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,30 @@
+pkgbase = clonk_rage-git
+ pkgdesc = An entertaining, action-packed game of strategy, tactics, and skill.
+ pkgver = r66.aeee02d
+ pkgrel = 1
+ url = http://clonk.de
+ arch = i686
+ arch = x86_64
+ groups = games
+ license = ISC
+ license = CCPL:by-nc
+ license = custom:trademark
+ makedepends = git
+ depends = glu
+ depends = libxpm
+ depends = sdl_mixer
+ depends = gtk2
+ depends = libpng12
+ depends = libjpeg-turbo
+ depends = desktop-file-utils
+ depends = timidity++
+ depends = glew
+ provides = clonk_rage-git,
+ provides = clonk_rage
+ conflicts = clonk_rage,
+ conflicts = openclonk
+ source = clonk_rage-git::git+https://git.maxmitti.tk/lc#branch=master
+ md5sums = SKIP
+
+pkgname = clonk_rage-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..89bc468c231
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,93 @@
+# Maintainer: George Tokmaji <tokmajigeorge@gmail.com>
+# Contributor:
+pkgname=clonk_rage-git
+pkgver=r66.aeee02d
+pkgrel=1
+pkgdesc="An entertaining, action-packed game of strategy, tactics, and skill."
+arch=('i686' 'x86_64')
+url="http://clonk.de"
+license=('ISC' 'CCPL:by-nc' 'custom:trademark')
+groups=('games')
+provides=('clonk_rage-git', 'clonk_rage')
+conflicts=('clonk_rage', 'openclonk')
+
+depends=('glu' 'libxpm' 'sdl_mixer' 'gtk2' 'libpng12'
+ 'libjpeg-turbo' 'desktop-file-utils' 'timidity++' 'glew')
+
+makedepends=('git')
+
+source=("$pkgname::git+https://git.maxmitti.tk/lc#branch=master")
+
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+prepare() {
+ cd "$pkgname"
+ rm 'licenses/LGPL.txt'
+ rm 'licenses/OpenSSL.txt'
+}
+
+build() {
+ cd "$pkgname"
+ cmake .
+ make
+}
+package() {
+ cd "$pkgname"
+ # create directories
+ install -d "$pkgdir/usr/share/licenses/$pkgname"
+ install -d "$pkgdir"/usr/share/icons/hicolor/48x48/mimetypes
+
+ # install licenses
+ install -Dm644 licenses/clonk_{trademark,source}_license.txt "$pkgdir/usr/share/licenses/$pkgname/"
+ rm licenses/clonk_{trademark,source}_license.txt
+
+ mkdir --parents $pkgdir/usr/share/$pkgname || true
+
+ mv -f clonk $pkgdir/usr/share/$pkgname/clonk
+ mv -f c4group $pkgdir/usr/share/$pkgname/c4group
+
+ cd planet
+ #mv * "$pkgdir"/usr/share/$pkgname
+ cd ..
+
+ # load game data
+ if [ ! -e cr_full_linux.tar.bz2 ]
+ then
+ curl -O "http://www.clonkx.de/rage/cr_full_linux.tar.bz2"
+ fi
+ tar -xjvf cr_full_linux.tar.bz2
+ cd cr_full_linux
+ # rm System.c4g -- commented for now
+ mv *.c4? "$pkgdir"/usr/share/$pkgname
+
+ # install icons
+ install -Dm644 icons/cr.png "$pkgdir"/usr/share/icons/hicolor/48x48/apps/clonk_rage.png
+ install -Dm644 icons/c4{d,f,g,k,p,s,u}.png "$pkgdir"/usr/share/icons/hicolor/48x48/mimetypes/
+
+ chgrp -R games "$pkgdir"/usr/share/$pkgname
+ chmod -R g+w "$pkgdir"/usr/share/$pkgname
+
+ # chmod exec's
+ chmod 774 "$pkgdir"/usr/share/$pkgname/clonk
+ chown root:root "$pkgdir"/usr/share/$pkgname/clonk
+
+ chmod 774 "$pkgdir"/usr/share/$pkgname/c4group
+ chown root:root "$pkgdir"/usr/share/$pkgname/c4group
+
+ # c4group link
+ mkdir --parents $pkgdir/usr/bin || true
+ ln -s /usr/share/$pkgname/c4group "$pkgdir"/usr/bin/
+
+ # desktop launcher
+ mkdir --parents $pkgdir/usr/share/applications || true
+ install -Dm644 "$srcdir"/../clonk_rage.desktop "$pkgdir"/usr/share/applications/clonk_rage.desktop
+
+ # mime types
+ install -Dm644 "$srcdir"/../de_clonk.xml "$pkgdir"/usr/share/mime/packages/clonk_rage.xml
+
+}
diff --git a/clonk_rage.desktop b/clonk_rage.desktop
new file mode 100644
index 00000000000..496557dc739
--- /dev/null
+++ b/clonk_rage.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=Clonk Rage
+Type=Application
+Comment=An entertaining, action-packed game of strategy, tactics, and skill.
+Icon=clonk_rage
+Categories=Game;ActionGame;
+MimeType=application/x-vnd.clonk.c4key;application/vnd.clonk.c4group
+StartupNotify=true
+StartupWMClass=Clonk Rage
+Exec=clonk_rage
+Terminal=false
diff --git a/de_clonk.xml b/de_clonk.xml
new file mode 100644
index 00000000000..c78ffc201f3
--- /dev/null
+++ b/de_clonk.xml
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
+ <mime-type type="application/vnd.clonk.c4game">
+ <alias type="application/vnd.clonk.c4group" />
+ <comment>Clonk 4 System file</comment>
+ <comment xml:lang="de">Clonk 4 Systemdatei</comment>
+ <glob pattern="*.c4g" />
+ <icon name="c4g" />
+ </mime-type>
+
+ <mime-type type="application/vnd.clonk.c4definition">
+ <alias type="application/vnd.clonk.c4group" />
+ <comment>Clonk 4 Object definition</comment>
+ <comment xml:lang="de">Clonk 4 Objektdefinition</comment>
+ <glob pattern="*.c4d" />
+ <icon name="c4d" />
+ </mime-type>
+
+ <mime-type type="application/vnd.clonk.c4folder">
+ <alias type="application/vnd.clonk.c4group" />
+ <comment>Clonk 4 Scenario folder</comment>
+ <comment xml:lang="de">Clonk 4 Szenarienordner</comment>
+ <glob pattern="*.c4f" />
+ <icon name="c4f" />
+ </mime-type>
+
+ <mime-type type="application/vnd.clonk.c4player">
+ <alias type="application/vnd.clonk.c4group" />
+ <comment>Clonk 4 Player</comment>
+ <comment xml:lang="de">Clonk 4 Spieler</comment>
+ <glob pattern="*.c4p" />
+ <icon name="c4p" />
+ </mime-type>
+
+ <mime-type type="application/vnd.clonk.c4update">
+ <alias type="application/vnd.clonk.c4group" />
+ <comment>Clonk 4 Update</comment>
+ <comment xml:lang="de">Clonk 4 Update</comment>
+ <glob pattern="*.c4u" />
+ <icon name="c4u" />
+ </mime-type>
+
+ <mime-type type="application/vnd.clonk.c4scenario">
+ <alias type="application/vnd.clonk.c4group" />
+ <comment>Clonk 4 Scenario</comment>
+ <comment xml:lang="de">Clonk 4 Szenario</comment>
+ <glob pattern="*.c4s" />
+ <icon name="c4s" />
+ </mime-type>
+
+ <mime-type type="application/x-vnd.clonk.c4key">
+ <sub-class-of type="text/plain"/>
+ <comment>Clonk Registration key</comment>
+ <comment xml:lang="de">Clonk Registrierungsschl├╝ssel</comment>
+ <glob pattern="*.c4k" />
+ <icon name="c4k" />
+ </mime-type>
+</mime-info>